Bug 469973 - Error downloading rhn-client-tools packages from red hat beta channel
Error downloading rhn-client-tools packages from red hat beta channel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Client Tools (Show other bugs)
rhn508
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Red Hat Network Quality Assurance
us=73802
: Reopened
Depends On:
Blocks: 480931
  Show dependency treegraph
 
Reported: 2008-11-04 17:43 EST by Sayli Karmarkar
Modified: 2015-03-22 21:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 08:52:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2008-11-04 17:43:56 EST
Description of problem:
Error downloading rhn-client-tools packages from red hat beta channel

Version-Release number of selected component (if applicable):
Red Hat Network release 5.0.8

How reproducible

Steps to Reproduce:
1. Register a rhel5 system to rhn
2. Alter its channel subscriptions to include Red Hat Enterprise Linux (v. 5 for 32-bit x86) Beta
3. yum update rhn-client-tools
  
Actual results:
Error Downloading Packages:
  rhn-client-tools - 0.4.19-4.el5.noarch: failed to retrieve getPackage/rhn-client-tools-0.4.19-4.el5.noarch.rpm from rhel-i386-server-5-beta
error was [Errno 14] HTTP Error 404: Not Found
  rhn-setup - 0.4.19-4.el5.noarch: failed to retrieve getPackage/rhn-setup-0.4.19-4.el5.noarch.rpm from rhel-i386-server-5-beta
error was [Errno 14] HTTP Error 404: Not Found
  rhn-check - 0.4.19-4.el5.noarch: failed to retrieve getPackage/rhn-check-0.4.19-4.el5.noarch.rpm from rhel-i386-server-5-beta
error was [Errno 14] HTTP Error 404: Not Found
  rhn-setup-gnome - 0.4.19-4.el5.noarch: failed to retrieve getPackage/rhn-setup-gnome-0.4.19-4.el5.noarch.rpm from rhel-i386-server-5-beta
error was [Errno 14] HTTP Error 404: Not Found


Expected results:
Packages should be installed without error
Comment 1 James Bowes 2008-11-05 08:25:21 EST
Which environment is this?
Comment 2 James Bowes 2008-11-05 09:35:57 EST
I just tested in prod and didn't get 404s. So assuming you saw this in prod too, there might be a problem with the file system.
Comment 3 William Burrows 2008-11-12 09:39:43 EST
I was just working with a customer that was receiving those exact error messages when running <yum update>.

firefox - 3.0.2-3.el5.x86_64: failed to retrieve getPackage/firefox-3.0.2-3.el5.x86_64.rpm from rhel-x86_64-server-5

error was [Errno 14] HTTP Error 404: Not Found

krb5-libs - 1.6.1-25.el5_2.1.i386: failed to retrieve getPackage/krb5-libs-1.6.1-25.el5_2.1.i386.rpm from rhel-x86_64-server-5

error was [Errno 14] HTTP Error 404: Not Found


We were able to fix this by clearing the cache:

rm -rf /var/cache/yum/*

Now yum runs smoothly.
Comment 4 Sayli Karmarkar 2008-11-12 10:46:53 EST
Great. Thanks,

~SayliK
Comment 5 Amy Owens 2008-11-12 10:58:38 EST
if this is all set- let me know and I will close
Comment 6 Sayli Karmarkar 2008-11-12 11:22:09 EST
Looks good to me. 

~SayliK
Comment 7 Jan Hutař 2008-11-25 04:12:05 EST
Hello,
not sure if this is good place to add this my request, but:

# hostname
ia64-5s-2-m1.lab.bos.redhat.com
# ifconfig eth0
eth0      Link encap:Ethernet  HWaddr 00:11:85:5F:72:64  
          inet addr:10.16.40.73  Bcast:10.16.47.255  Mask:255.255.248.0
          inet6 addr: fe80::211:85ff:fe5f:7264/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:15635528 errors:0 dropped:0 overruns:0 frame:0
          TX packets:678277 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:2994181198 (2.7 GiB)  TX bytes:63404816 (60.4 MiB)
# grep serverURL= /etc/sysconfig/rhn/up2date 
serverURL=https://xmlrpc.rhn.stage.redhat.com/XMLRPC
# grep ID- /etc/sysconfig/rhn/systemid
<value><string>ID-1013929865</string></value>
# date
Tue Nov 25 04:05:32 EST 2008
# yum -y upgrade sysstat
...
Error Downloading Packages:
  sysstat - 7.0.2-3.el5.ia64: failed to retrieve getPackage/sysstat-7.0.2-3.el5.ia64.rpm from rhel-ia64-server-fastrack-5
error was [Errno 14] HTTP Error 404: Not Found

Please note that `rm -rf /var/cache/yum/*` and rerunning yum did
not helped.
Comment 8 Stephen Herr 2008-11-25 09:57:40 EST
This issue is still under investigation. Unfortunately I don't have anything to tell you right now, but we'll keep you updated as we learn more. Until we resolve this issue you can always download the rpm by hand from RHN. Just log into rhn.stage.redhat.com, do a package search in the bar at the top for "sysstat-7.0.2-3.el5.ia64.rpm", and at the bottom of the package details page will be a link to download the RPM. The command "rpm -Uvh <package-name>" should install it once you have it downloaded.

Note You need to log in before you can comment on or make changes to this bug.